Published Artifacts - List
Yayımlanmış şema tanımının bir sürümü için yapıtları listeleme.
GET https://management.azure.com/{resourceScope}/providers/Microsoft.Blueprint/blueprints/{blueprintName}/versions/{versionId}/artifacts?api-version=2018-11-01-preview
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
blueprint
|
path | True |
string |
Şema tanımının adı. |
|
resource
|
path | True |
string |
Kaynağın kapsamı. Geçerli kapsamlar şunlardır: yönetim grubu (biçim: '/providers/Microsoft.Management/managementGroups/{managementGroup}'), abonelik (biçim: '/subscriptions/{subscriptionId}'). |
|
version
|
path | True |
string |
Yayımlanan şema tanımının sürümü. |
|
api-version
|
query | True |
string |
İstemci API Sürümü. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Tamam -- yayımlanan şema tanımının bir sürümünün yapıtları alındı. |
|
| Other Status Codes |
Şemalar hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Akışı
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
|
MG-Artifact |
|
Sub-Artifact |
MG-ArtifactList
Örnek isteği
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts?api-version=2018-11-01-preview
Örnek yanıt
{
"value": [
{
"properties": {
"displayName": "enforce owners of given subscription",
"roleDefinitionId": "/providers/Microsoft.Authorization/roleDefinitions/acdd72a7-3385-48ef-bd42-f606fba81ae7",
"principalIds": "[parameters('owners')]"
},
"kind": "roleAssignment",
"id": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts/ownerAssignment",
"type": "Microsoft.Blueprint/blueprints/versions/artifacts",
"name": "ownerAssignment"
},
{
"properties": {
"displayName": "force costCenter tag on all resources",
"policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/1e30110a-5ceb-460c-a204-c1c3969c6d62",
"parameters": {
"tagName": {
"value": "costCenter"
},
"tagValue": {
"value": "[parameter('costCenter')]"
}
}
},
"kind": "policyAssignment",
"id": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts/costCenterPolicy",
"type": "Microsoft.Blueprint/blueprints/versions/artifacts",
"name": "costCenterPolicy"
},
{
"properties": {
"template": {
"contentVersion": "1.0.0.0",
"parameters": {
"storageAccountType": {
"type": "string",
"defaultValue": "Standard_LRS",
"allowedValues": [
"Standard_LRS",
"Standard_GRS",
"Standard_ZRS",
"Premium_LRS"
],
"metadata": {
"description": "Storage Account type"
}
}
},
"variables": {
"storageAccountName": "[concat(uniquestring(resourceGroup().id), 'standardsa')]"
},
"resources": [
{
"type": "Microsoft.Storage/storageAccounts",
"name": "[variables('storageAccountName')]",
"apiVersion": "2016-01-01",
"location": "[resourceGroup().location]",
"sku": {
"name": "[parameters('storageAccountType')]"
},
"kind": "Storage",
"properties": {}
}
],
"outputs": {
"storageAccountName": {
"type": "string",
"value": "[variables('storageAccountName')]"
}
}
},
"resourceGroup": "storageRG",
"parameters": {
"storageAccountType": {
"value": "[parameters('storageAccountType')]"
}
}
},
"kind": "template",
"id": "/providers/Microsoft.Management/managementGroups/ContosoOnlineGroup/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts/storageTemplate",
"type": "Microsoft.Blueprint/blueprints/versions/artifacts",
"name": "storageTemplate"
}
]
}
Sub-ArtifactList
Örnek isteği
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts?api-version=2018-11-01-preview
Örnek yanıt
{
"value": [
{
"properties": {
"displayName": "enforce owners of given subscription",
"roleDefinitionId": "/providers/Microsoft.Authorization/roleDefinitions/acdd72a7-3385-48ef-bd42-f606fba81ae7",
"principalIds": "[parameters('owners')]"
},
"kind": "roleAssignment",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts/ownerAssignment",
"type": "Microsoft.Blueprint/blueprints/versions/artifacts",
"name": "ownerAssignment"
},
{
"properties": {
"displayName": "force costCenter tag on all resources",
"policyDefinitionId": "/providers/Microsoft.Authorization/policyDefinitions/1e30110a-5ceb-460c-a204-c1c3969c6d62",
"parameters": {
"tagName": {
"value": "costCenter"
},
"tagValue": {
"value": "[parameter('costCenter')]"
}
}
},
"kind": "policyAssignment",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts/costCenterPolicy",
"type": "Microsoft.Blueprint/blueprints/versions/artifacts",
"name": "costCenterPolicy"
},
{
"properties": {
"template": {
"contentVersion": "1.0.0.0",
"parameters": {
"storageAccountType": {
"type": "string",
"defaultValue": "Standard_LRS",
"allowedValues": [
"Standard_LRS",
"Standard_GRS",
"Standard_ZRS",
"Premium_LRS"
],
"metadata": {
"description": "Storage Account type"
}
}
},
"variables": {
"storageAccountName": "[concat(uniquestring(resourceGroup().id), 'standardsa')]"
},
"resources": [
{
"type": "Microsoft.Storage/storageAccounts",
"name": "[variables('storageAccountName')]",
"apiVersion": "2016-01-01",
"location": "[resourceGroup().location]",
"sku": {
"name": "[parameters('storageAccountType')]"
},
"kind": "Storage",
"properties": {}
}
],
"outputs": {
"storageAccountName": {
"type": "string",
"value": "[variables('storageAccountName')]"
}
}
},
"resourceGroup": "storageRG",
"parameters": {
"storageAccountType": {
"value": "[parameters('storageAccountType')]"
}
}
},
"kind": "template",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Blueprint/blueprints/simpleBlueprint/versions/V2/artifacts/storageTemplate",
"type": "Microsoft.Blueprint/blueprints/versions/artifacts",
"name": "storageTemplate"
}
]
}
Tanımlar
| Name | Description |
|---|---|
|
Artifact |
Şema yapıtlarının listesi. |
|
Cloud |
|
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata Yanıtı |
|
key |
Key Vault bağlantısını belirtir. |
|
Parameter |
Belirtilen parametrenin değeri. 'değer' veya 'başvuru' olabilir, ancak ikisi birden olamaz. |
|
Policy |
İlke ataması uygulayan şema yapıtı. |
|
Role |
Rol ataması uygulayan şema yapıtı. |
|
Secret |
Key Vault gizli dizisine başvuru. |
|
Template |
Resource Manager şablonu dağıtan şema yapıtı. |
ArtifactList
Şema yapıtlarının listesi.
| Name | Tür | Description |
|---|---|---|
| nextLink |
string |
Sonraki sonuç sayfasına bağlanın. |
| value | Artifact[]: |
Şema yapıtlarının listesi. |
CloudError
| Name | Tür | Description |
|---|---|---|
| error |
Hata Yanıtı |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorResponse
Hata Yanıtı
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi. |
keyVaultReference
Key Vault bağlantısını belirtir.
| Name | Tür | Description |
|---|---|---|
| id |
string |
Key Vault'un Azure kaynak kimliği. |
ParameterValue
Belirtilen parametrenin değeri. 'değer' veya 'başvuru' olabilir, ancak ikisi birden olamaz.
| Name | Tür | Description |
|---|---|---|
| reference |
Başvuru türü olarak parametre değeri. |
|
| value |
object |
Parametre değeri. Nesneler, diziler, dizeler, sayılar ve boole değerleri dahil olmak üzere geçerli JSON değerlerine izin verilir. |
PolicyAssignmentArtifact
İlke ataması uygulayan şema yapıtı.
| Name | Tür | Description |
|---|---|---|
| id |
string |
Azure'da herhangi bir kaynağı bulmak için kullanılan dize kimliği. |
| kind |
string:
policy |
Şema yapıtı türünü belirtir. |
| name |
string |
Bu kaynağın adı. |
| properties.dependsOn |
string[] |
Belirtilen yapıt öncesinde dağıtılması gereken yapıtlar. |
| properties.description |
string maxLength: 500 |
Bu kaynağı çok satırlı olarak açıklayın. |
| properties.displayName |
string maxLength: 256 |
Tek satırlık dize bu kaynağı açıklar. |
| properties.parameters |
<string,
Parameter |
İlke tanımı için parametre değerleri. |
| properties.policyDefinitionId |
string |
İlke tanımının Azure kaynak kimliği. |
| properties.resourceGroup |
string |
İlkenin atanacağı kaynak grubu yer tutucusunun adı. |
| type |
string |
Bu kaynağın türü. |
RoleAssignmentArtifact
Rol ataması uygulayan şema yapıtı.
| Name | Tür | Description |
|---|---|---|
| id |
string |
Azure'da herhangi bir kaynağı bulmak için kullanılan dize kimliği. |
| kind |
string:
role |
Şema yapıtı türünü belirtir. |
| name |
string |
Bu kaynağın adı. |
| properties.dependsOn |
string[] |
Belirtilen yapıt öncesinde dağıtılması gereken yapıtlar. |
| properties.description |
string maxLength: 500 |
Bu kaynağı çok satırlı olarak açıklayın. |
| properties.displayName |
string maxLength: 256 |
Tek satırlık dize bu kaynağı açıklar. |
| properties.principalIds |
Azure Active Directory'de kullanıcı veya grup kimlikleri dizisi. roleDefinition her kimliğe uygulanır. |
|
| properties.resourceGroup |
string |
RoleAssignment bu resourceGroup kapsamı olacaktır. Boşsa, aboneliğin kapsamını oluşturur. |
| properties.roleDefinitionId |
string |
RoleDefinition'ın Azure kaynak kimliği. |
| type |
string |
Bu kaynağın türü. |
SecretValueReference
Key Vault gizli dizisine başvuru.
| Name | Tür | Description |
|---|---|---|
| keyVault |
Belirli bir Azure Key Vault'a başvuruyu belirtir. |
|
| secretName |
string |
Gizli dizinin adı. |
| secretVersion |
string |
Kullanılacak gizli dizi sürümü. Boş bırakılırsa, gizli dizinin en son sürümü kullanılır. |
TemplateArtifact
Resource Manager şablonu dağıtan şema yapıtı.
| Name | Tür | Description |
|---|---|---|
| id |
string |
Azure'da herhangi bir kaynağı bulmak için kullanılan dize kimliği. |
| kind |
string:
template |
Şema yapıtı türünü belirtir. |
| name |
string |
Bu kaynağın adı. |
| properties.dependsOn |
string[] |
Belirtilen yapıt öncesinde dağıtılması gereken yapıtlar. |
| properties.description |
string maxLength: 500 |
Bu kaynağı çok satırlı olarak açıklayın. |
| properties.displayName |
string maxLength: 256 |
Tek satırlık dize bu kaynağı açıklar. |
| properties.parameters |
<string,
Parameter |
Resource Manager şablonu şema yapıt parametre değerleri. |
| properties.resourceGroup |
string |
Varsa, Resource Manager şablonu şema yapıtının dağıtılacağı kaynak grubu yer tutucusunun adı. |
| properties.template |
object |
Resource Manager şablonu şema yapıtı gövdesi. |
| type |
string |
Bu kaynağın türü. |